Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Update form template

PUT/administration/form-templates/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
categoryIdstring
descriptionstring
iconobject | null
namestring
tagsstring[]

Tag IDs (UUIDs) of type form-template. List tags via GET tags/form-template/list.

Responses
200
successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT "https://leadtime.app/api/public/administration/form-templates/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "categoryId": "string",
  "description": "string",
  "icon": {},
  "name": "string",
  "tags": [
    "string"
  ]
}'
Response
{
  "success": true
}